package com.nisum.offertransactionservice.model;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.FieldDefaults;

import java.time.LocalDateTime;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE, makeFinal = false)
public class Offer {

    String offerId;
    LocalDateTime startTime;
    LocalDateTime expiryTime;
    Status status;
    List<String> productIds;
    List<String> storeGroups;
    String eligibility;
    String discountType;
    String offerType;


}
